Name:           BackupPC-server-scripts
Version:        0.1.4
Release:        3%{?dist}
Summary:        Some scripts for a BackupPC server

Group:          Applications/System
License:        GNU GPL
URL:            http://gitweb.firewall-services.com/?p=BackupPC-server-scripts;a=summary
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch
Requires:       BackupPC
Requires:       winexe


%description
Provides some scripts to run a a BackupPC server.
Like pre-backup scripts for Windows boxes

%changelog
* Tue Jan 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.1.4-3
- Release bump

* Thu Dec 09 2021 Daniel Berteaud <dani@lapiole.org> 0.1.4-2
- Use ReleaseTagger (dani@lapiole.org)

* Tue Aug 21 2018 Daniel Berteaud <daniel@firewall-services.com> 0.1.4-1
- new package built with tito
- Default timeout is now 900
* Wed Sep 16 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.1.2-1
- Adapt winexe commandline args so it works with winexe 1.1

* Thu Jul 5 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0
- initial release

%prep
%setup -q

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT

# Install backup script
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}/
%{__install} -m 0755 scripts/win-* $RPM_BUILD_ROOT%{_bindir}/

# coreutils doesn't provides a timeout command in EL5
# So include the bash one
%if 0%{?rhel} == 5
%{__install} -m 0755 scripts/timeout $RPM_BUILD_ROOT%{_bindir}/
%endif

# Install conf
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/BackupPC
%{__install} -m 0640 conf/* $RPM_BUILD_ROOT%{_sysconfdir}/BackupPC/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%config(noreplace) %attr(0640, root, backuppc) %{_sysconfdir}/BackupPC/*

